package fr.natan.akkastreamfileprocessingapi.models

final case class TvSeries(
                     tconst: String,
                     titleType: String,
                     primaryTitle: String,
                    originalTitle: String,
                     isAdult: String,
                     startYear: String,
                    endYear: String,
                     runtimeMinutes: String,
                     genre: String
                   ) {

  override def toString: String = {
    "TvSerie[tvSerieID : " + tconst +
      ", title-type:"+titleType+
      ", primary-title:"+primaryTitle+"" +
      ", riginal-title:"+originalTitle+
      ", is adult (no=0, yes=1):"+isAdult+
      ", start year:"+startYear+
    ", end year:"+endYear+
      ", runtime minutes:"+runtimeMinutes+
      ", genre:"+genre+"]"
  }
}
